testWindow=Turbine.UI.Lotro.Window()
testWindow:SetSize(1024,850)
testWindow:SetVisible(true)
testWindow:SetText("Stress test")
testWindow:SetWantsUpdates(false)
testID=0x41000000

testPanel=Turbine.UI.Control()
testPanel:SetParent(testWindow)
testPanel:SetSize(1024,768)
testPanel:SetPosition(0,45)

testStart=Turbine.UI.Lotro.Button()
testStart:SetParent(testWindow)
testStart:SetSize(100,20)
testStart:SetPosition(80,815)
testStart:SetText("Start")
testStart.Click=function()
	Turbine.Shell.WriteLine("Stress Test Started")
	testID=0x410fa16a -- start one less than actual test minimum since we increment before testing
	testWindow:SetWantsUpdates(true)
end

testWindow.Closed=function()
	testWindow:SetWantsUpdates(false)
	Turbine.Shell.WriteLine("Stress Test Ended")
end
testWindow.Update=function()
	testWindow:SetWantsUpdates(false)
	if testID>0xFF000000 then
		Turbine.Shell.WriteLine("Stress Test Completed Successfully")
	else
		for k=1,0x1000 do
			testID=testID+1
			Turbine.Engine.ScriptLog("testing:"..string.format("0x%x",testID))
			local success,result=pcall(Turbine.UI.Control.SetBackground,testPanel,testID)
			if not success then
--				Turbine.Shell.WriteLine(string.format("0x%x",testID)..":"..result)
				Turbine.Engine.ScriptLog(string.format("0x%x",testID)..": "..result)
			else
				Turbine.Engine.ScriptLog(string.format("0x%x",testID)..": passed")
			end
		end
		testOutput:SetText(string.format("0x%x",testID))
		Turbine.Engine.ScriptLog(string.format("0x%x",testID))
		testWindow:SetWantsUpdates(true)
	end
end

testOutput=Turbine.UI.Label()
testOutput:SetParent(testWindow)
testOutput:SetSize(640,20)
testOutput:SetPosition(192,815)
